CFLAGS  += -I../_include -I/usr/local/include
LDFLAGS += -L../_lib -L/usr/local/lib/

CFLAGS  += -Wextra -Wall -Wmissing-declarations -Wno-missing-field-initializers
CFLAGS  += -Wnested-externs -Wno-long-long -Wpointer-arith
CFLAGS  += -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes
CFLAGS  += -g

CFLAGS  += -pedantic -Wformat=2
CFLAGS  += -Wfloat-equal
CFLAGS  += -Wunreachable-code
CFLAGS  += -Wshadow	# problems with glib
#CFLAGS  += -Wpadded	# too many structs that are padded
#CFLAGS  += -Wmissing-format-attribute

# libaspolog/log_util.h has variadic macros which can be a problem
# for C89 and C94 code, it became standard feature in C99
CFLAGS  += -ansi
#CFLAGS  += -std=iso9899:199409 # ansi + __STDC_VERSION__
CFLAGS  += -Wno-variadic-macros

#CFLAGS  += -std=iso9899:1999
# to support IEEE754 NAN's
#CFLAGS  += -std=gnu99
#CFLAGS  += -std=iso9899:2011

# timespec.c: timespec_update() uses clock_gettime()
#CFLAGS  := -D_GNU_SOURCE # not for old FreeBSD
CFLAGS += -D_DEFAULT_SOURCE # vsyslog()
#CFLAGS += -D_XOPEN_SOURCE=500 # vsnprintf() grantpt()
CFLAGS += -D_XOPEN_SOURCE=600 # pselect()
#CFLAGS += -D_POSIX_C_SOURCE=199309L # sigaction() siginfo_t
CFLAGS += -D_POSIX_C_SOURCE=200112L # getaddrinfo() pselect()??
